unofficial mirror of notmuch@notmuchmail.org
 help / color / mirror / code / Atom feed
From: David Bremner <david@tethera.net>
To: notmuch@notmuchmail.org
Subject: [PATCH 3/5] test: add known broken test for inlining in emacs/reply
Date: Sat, 19 Mar 2022 07:07:52 -0300	[thread overview]
Message-ID: <20220319100754.1670462-4-david@tethera.net> (raw)
In-Reply-To: <20220319100754.1670462-1-david@tethera.net>

The same mitigation already applied for show should also be applied
for reply
---
 test/T453-emacs-reply.sh | 35 +++++++++++++++++++++++++++++++++++
 1 file changed, 35 insertions(+)
 create mode 100755 test/T453-emacs-reply.sh

diff --git a/test/T453-emacs-reply.sh b/test/T453-emacs-reply.sh
new file mode 100755
index 00000000..5d6c5309
--- /dev/null
+++ b/test/T453-emacs-reply.sh
@@ -0,0 +1,35 @@
+#!/usr/bin/env bash
+
+test_description="emacs reply"
+. $(dirname "$0")/test-lib.sh || exit 1
+. $NOTMUCH_SRCDIR/test/test-lib-emacs.sh || exit 1
+
+EXPECTED=$NOTMUCH_SRCDIR/test/emacs-show.expected-output
+
+test_require_emacs
+
+add_email_corpus attachment
+
+test_begin_subtest "tar not inlined by default"
+test_subtest_known_broken
+test_emacs '(notmuch-mua-new-reply "id:874llc2bkp.fsf@curie.anarc.at")
+	(test-visible-output "OUTPUT.raw")'
+cat <<EOF > EXPECTED
+From: Notmuch Test Suite <test_suite@notmuchmail.org>
+To: Antoine Beaupré <anarcat@orangeseeds.org>
+Subject: Re: bug: "no top level messages" crash on Zen email loops
+In-Reply-To: <874llc2bkp.fsf@curie.anarc.at>
+Fcc: MAIL_DIR/sent
+--text follows this line--
+Antoine Beaupré <anarcat@orangeseeds.org> writes:
+
+> And obviously I forget the frigging attachment.
+>
+>
+> PS: don't we have a "you forgot to actually attach the damn file" plugin
+> when we detect the word "attachment" and there's no attach? :p
+EOF
+notmuch_dir_sanitize < OUTPUT.raw > OUTPUT
+test_expect_equal_file EXPECTED OUTPUT
+
+test_done
-- 
2.35.1
\r

  parent reply	other threads:[~2022-03-19 10:08 UTC|newest]

Thread overview: 7+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2022-03-19 10:07 do not inline application/* in replies David Bremner
2022-03-19 10:07 ` [PATCH 1/5] test: start corpus for attachments David Bremner
2022-03-19 10:07 ` [PATCH 2/5] test/emacs: add regression test for display of tar attachments David Bremner
2022-03-19 10:07 ` David Bremner [this message]
2022-03-19 10:07 ` [PATCH 4/5] emacs: factor out calculation of mm-inline-override-types David Bremner
2022-03-19 10:07 ` [PATCH 5/5] emacs/reply: restrict what mime types are inlined by default David Bremner
2022-05-16 10:22 ` do not inline application/* in replies David Bremner

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

  List information: https://notmuchmail.org/

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=20220319100754.1670462-4-david@tethera.net \
    --to=david@tethera.net \
    --cc=notmuch@notmuchmail.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
Code repositories for project(s) associated with this public inbox

	https://yhetil.org/notmuch.git/

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for read-only IMAP folder(s) and NNTP newsgroup(s).